function outCov=Compute_Cov_Features(inImage,GR,GI)

[SizeX,SizeY]=size(inImage);
imagePosY=repmat((1:SizeY),[SizeX,1])/SizeY;
imagePosX=repmat((1:SizeX),[SizeY,1])'/SizeX;


covSamples=[];


%Color information
covSamples=[covSamples;...
            reshape(imagePosX,[1,SizeX*SizeY]);...
            reshape(imagePosY,[1,SizeX*SizeY]);...
            reshape(inImage,[1,SizeX*SizeY])];



covSamples = [covSamples; Apply_Gabor_Transform(inImage,1,GR, GI)'];

%Computing the covariance matrix
outCov=cov(covSamples');