function  fullwj = makefullwj(svmj,Z)
fullwj = zeros(size(Z,1),1);
w = svmj.sv_coef;
SVS = svmj.SVs;
T1 = sp_dist2(Z,SVS);
[locx, locy] = find(T1==0);
if length(locx) < size(SVS,1)
       error('Can not find support vectors in training data \n');
end
wnew = w(locy);
fullwj(locx) = abs(wnew);

%% old code
% % Keypos = zeros(size(w,1),1);
% for i = 1:size(w,1);
% % parfor i = 1:size(w,1);
% 
% [where, loc] = ismember(Z,SVS(i,:),'rows');
% 
% pos = find(loc==1);
% if isempty(pos)
%        Disp('Can not find support vector %f in training data',SVS(i,:));
%        continue;
% end
% % Keypos(i) = pos;
% fullwj(pos) = w(i);
% end
% 
% % fullwj(Keypos) = w;