%%%%Compact Individual model with dimensionality reduction 
%%%% unsupervised: PCA, Whitening PCA, Random Projection
%%%% supervised: LDA, Rotated Sparse Regression
%%%% learning-based: Low-rank metric learning
clc;

%% Unsupervised methods

%%Linear PCA transformation
% prms = setprms('PCA');
% [Mapping, DRdata] = DRsublib(obj,prms);

%%Linear whitening PCA transformation
% prms = setprms('WPCA');
% [Mapping, DRdata] = DRsublib(obj,prms);

%%Random Projection
% prms = setprms('PR');
% [Mapping, DRdata] = DRsublib(obj,prms);

%% Supervised methods
%%Linear discriminant analysis  LDA
% prms = setprms('LDA');
% [Mapping, DRdata] = DRsublib(obj,prms);

 %%Rotated Sparse Regression
% prms = setprms('RSR');
% [Mapping, DRdata] = DRsublib(obj,prms);

 %% Low-rank metric learning 
prms = setprms('LRMLSVM');
[Mapping DRdata] = DRsublib(obj,prms);
 