clear;
clc;

Image_Size = [64 64];

Gabor_options.Width=21;
Gabor_options.num_theta=8;
Gabor_options.num_scale=5;
[GR,GI]=Create_GaborFilters (Gabor_options);


load('FERET_Test1');
fTrainSet = TrainSet;
fTestSet = TestSet;
TrainSet.X = [];
TestSet.X = [];

for tmpC1 = 1:length(TrainSet.y)
    tmpImage = reshape(fTrainSet.X(:,tmpC1),Image_Size);
    TrainSet.X(:,:,tmpC1) = Compute_Cov_Features(tmpImage,GR,GI);
end
for tmpC1 = 1:length(TestSet.y)
    tmpImage = reshape(fTestSet.X(:,tmpC1),Image_Size);
    TestSet.X(:,:,tmpC1) = Compute_Cov_Features(tmpImage,GR,GI);
end
save(['FERET_Test_Riemannian' num2str(Gabor_options.num_scale)],'TrainSet','TestSet');
