function [ feature im_mask grid_x grid_y] = covcalculatornoncombination(detwindow, patch_size, sampling_step, step,option)

% im_features = buildfeaturessift(detwindow);  
% im_features = buildfeaturesRGBGabor(detwindow);  
im_features = buildfeatures17(detwindow);  
n=size(im_features,3);
if strcmp(option,'CM')==1
        ones_mat=ones(n,n);
        ones_mat = triu(ones_mat, 1) * sqrt(2) + eye(n);
        triu_idx=find(ones_mat>0);
        ones_vec = ones_mat(triu_idx);
        
        [im_P im_mask grid_x grid_y]  = dense_cov_CM(im_features, patch_size, sampling_step);
        
        log_im_P = im_P(:,:,triu_idx);      
        [g_y g_x bin] = size(log_im_P);
        log_im_P = reshape(log_im_P,g_y*g_x,bin);
        
        coef_mat = repmat(ones_vec', size(log_im_P, 1), 1);
        log_im_P = log_im_P .*   coef_mat;
        feature = log_im_P;
       
        feature = reshape(feature, size(im_P, 1), size(im_P, 2), size(feature, 2));
elseif strcmp(option,'MG')==1
        ones_mat=ones(n+1,n+1);
        ones_mat = triu(ones_mat, 1) * sqrt(2) + eye(n+1);
        triu_idx=find(ones_mat>0);
        ones_vec = ones_mat(triu_idx);
        
        [im_P im_mask grid_x grid_y]  = dense_cov_MG(im_features, patch_size, sampling_step);
        
        log_im_P = im_P(:,:,triu_idx);      
        [g_y g_x bin] = size(log_im_P);
        log_im_P = reshape(log_im_P,g_y*g_x,bin);
 
        coef_mat = repmat(ones_vec', size(log_im_P, 1), 1);
        log_im_P = log_im_P .*   coef_mat;
        feature = log_im_P;
       
        feature = reshape(feature, size(im_P, 1), size(im_P, 2), size(feature, 2));
end


end